Subject: SOLVED! [Was: Well, now I've really done it.]
From: "David A. Cobb" <[email-masked]>
To: Cygwin List <[email-masked]>
Date: Sat, 05 Aug 2000 16:44:54 -0400

"David A. Cobb" wrote:
> 
> Thanks, all, for the help yesterday.  It gave me just enough
> knowledge (or rope) to shoot both feet off completely!
> 
> --- Quoting (or paraphrasing) DJ:
> >  What setup are you using?
> 
> Downloaded SETUP.EXE yesterday (G 2000-08-02) from Cygwin.  Internal
> Time Date Stamp = "39877dd0".
> Used mirror at sunsite.utk.edu.
> 
> --- From Earnie again, various corrections of the error messages I
> reported.
> 
> I went back and did it all again and wrote them down more
> carefully.  Could have used a log (some future release).
> 
> 1) "error: unable to create symlink"
>   a) C://usr/include/mingw -> mingw32
>      Note- I had indicated a backslant -- it isn't.
>   b) C://lib/libc.a        -> libcygwin.a
>   c) C://lib/libg.a        -> libcygwin.a [!]
>   d) C://lib/libm.a        -> libcygwin.a [!!]
>   e) C://bin/awk.exe       -> gawk.exe
>   f) C://lib/libstdc++.a   -> libstdc++.a.2.10.0
> 
> 2) "tar: can't find %1 to link %2 to"
>   a) usr/bin/c++.exe          C://bin/g++.exe
>   b) usr/bin/gcc.exe          C://bin/i686-pc-cygwin-gcc.exe
>   c) usr/bin/logger.exe       C://bin/syslog.exe
>   d) usr/bin/ctags.exe        C://bin/etags.exe
> 
> Plus many many of both messages in the "vim" install - too many to
> write down.
> 
> At the end "Can't open (null) for writing: \n No such file or
> directory"
> 
> OK, here's the latest.
> 
> I thought (first error) that having my mounts textmode could be a
> problem, so I changed them all to "mount -b -s -f"
> Then I deleted _everything_ remotely related to the cygwin
> installation except the "Mounts_V2" registry entries.
> 
> I reran SETUP again - usually from <sunsite.utk.edu>, twice
> <ygdrassl?>, once <freesoftware>.  That's many times.  When all has
> been said and done, THERE IS NOTHING AT ALL IN /bin (or in /usr/bin,
> or in any directory except /lib -- and that may be a leftover.
> Evidently, setup thinks all the current versions are still there!
> It didn't look to check.
> 
> Now here is a real kicker -- nearly all of the same error messages
> came up at the same points.  I think the complaints about the
> /lib/libc.a did not.  SETUP cannot find the same things when it
> shouldn't be able to find anything at all anywhere!
> 
> Just in case it could have been misplaced, I did a Windows FIND on
> *ash.exe" which should have two or more hits.  It had none.
> 
> This is like two squares before square one.  Obviously I need help.
> 

OK, guys, it's fixed, if not quite the way I might like.

I deleted the whole registry key containing existing cygwin mounts,
and went back to zero.  Then, in SETUP.EXE, I did _NOT_ use my C:\
as root, I used a directory name "C:\@" (mostly because is sorts
low).

Everything downloaded and installed correctly, I can get into bash
and launch a few things that I know how to use.  

OK, DJ, I know I was warned.

Obviously, the "C://bin" display in the previous case was the key.  
The "//" must be a black hole.  
I'll take a look myself, come Monday.

Good weekend again!

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"Don't buy or use crappy software"
"By the grace of God I am a Christian man, 
 by my actions a great sinner" -- The Way of a Pilgrim [R. M.
French, tr.]